## edk2 0~20190606.20d2e5a1

=== debian/changelog ===
edk2 (0~20190606.20d2e5a1-2ubuntu1) eoan; urgency=medium

  * d/p/ovmf-vars-generator-ignore-qemu-warnings.patch: Avoid build
    hang resulting from unexpected QEMU warnings in output while
    enrolling keys.

 -- dann frazier <dannf@ubuntu.com>  Thu, 01 Aug 2019 22:53:39 +0000

edk2 (0~20190606.20d2e5a1-2) unstable; urgency=medium

  * debian/tests/control: Add missing dependencies on ovmf,
    qemu-efi-aarch64, and qemu-efi-arm.
  * debian/rules: Fix a comment typo in the get-orig-source rules.
  * debian/rules: Introduce a setup-build-stamp to avoid unnecessary
    BuildTools rebuilds.
  * ovmf: Add SecureBoot enabled variant:
    - debian/control: add xorriso, qemu-utils, qemu-system-x86, python3 to
      Build-Depends for the automatic key enrollment process.
    - debian/rules:
      - build a SecureBoot/SMM enabled variant of OVMF_CODE too.
      - build OVMF_VARS.ms.fd with embedded Microsoft keys from the binary
        EnrollDefaultKeys.efi
    - debian/ovmf.links: add OVMF_CODE.ms.fd.
    - debian/ovmf.install: install OVMF_VARS.ms.fd.
    - d/p/ovmf-vars-generator-Pass-OEM-Strings-to-the-guest.patch: Support
      passing in the PK/KEK via QEMU's --oemstring.
  * Reenable HTTP Boot, which was accidentally disabled due to an upstream
    macro rename.
  * Add firmware descriptor files. Closes: #932269, LP: #1836859.

 -- dann frazier <dannf@debian.org>  Wed, 31 Jul 2019 13:44:42 -0600

edk2 (0~20190606.20d2e5a1-1) experimental; urgency=medium

  * New upstream release, based on edk2-stable201905 tag.
    - d/binary-check.blacklist: Drop binaries removed upstream.
    - Remove unused embedded copy of BrotliCompress to avoid
      security scanner false-positives.
    - Adapt to upstream's use of git submodules for openssl and
      berkeley-softfloat-3.
  * debian/control: Fold and sort Build-Depends line.
  * debian/control: Add bc to Build-Depends, as it is now used by
    edksetup.sh.
  * debian/control: Add python3-distutils to Build-Depends. Part of
    the build will now use python3 instead of python if found at build-time.
    However, the build requires distutils, and upstream only embeds the
    python(2) version of that.
  * Revert "Adjust debian/rules to only build ovmf when building with -b"
    commit, as Debian now has the necessary cross-compilers.
  * Remove unnecessary sourcing of edksetup.sh. It only needs to be
    sourced in targets that need to inherent its environment.
  * Add a set of autopkgtests that verify each image type boots to a
    UEFI shell prompt in QEMU.
  * Include /usr/share/dpkg/architecture.mk instead of manually defining
    equivalent variables.

 -- dann frazier <dannf@debian.org>  Fri, 28 Jun 2019 16:07:10 -0600
