## edk2 0~20191122.bd85bf54

=== BaseTools/Source/C/GenFw/Makefile ===
## @file
# Windows makefile for 'GenFw' module build.
#
# Copyright (c) 2009 - 2010, Intel Corporation. All rights reserved.<BR>
# SPDX-License-Identifier: BSD-2-Clause-Patent
#
!INCLUDE ..\Makefiles\ms.common

APPNAME = GenFw

LIBS = $(LIB_PATH)\Common.lib

OBJECTS = GenFw.obj ElfConvert.obj Elf32Convert.obj Elf64Convert.obj

#CFLAGS = $(CFLAGS) /nodefaultlib:libc.lib

!INCLUDE ..\Makefiles\ms.app
