=== debian/changelog ===
edk2 (0~20191122.bd85bf54-2ubuntu3.6) focal-security; urgency=medium

  * SECURITY UPDATE: integer underflow
    - debian/patches/CVE-2021-38578.patch: Add SafeIntLib to check for
      under or overflows
    - CVE-2021-38578

 -- Bruce Cable <bruce.cable@canonical.com>  Tue, 08 Oct 2024 18:01:22 +1100

edk2 (0~20191122.bd85bf54-2ubuntu3.5) focal; urgency=medium

  * Disable the built-in Shell when SecureBoot is enabled, CVE-2023-48733.
    Thanks to Mate Kukri. LP: #2040137.
    - Backport support for GetSetupMode() and IsSecureBootEnabled():
      + 0001-SecurityPkg-Create-SecureBootVariableLib.patch
      + 0002-ArmVirtPkg-add-SecureBootVariableLib-class-resolutio.patch
      + 0003-OvmfPkg-add-SecureBootVariableLib-class-resolution.patch
      + 0004-SecurityPkg-SecureBootVariableLib-Added-newly-suppor.patch
      + 0005-EmulatorPkg-add-SecureBootVariableLib-class-resoluti.patch
    - Disable the built-in Shell when SecureBoot is enabled:
      + Disable-the-Shell-when-SecureBoot-is-enabled.patch

 -- dann frazier <dannf@ubuntu.com>  Tue, 13 Feb 2024 17:52:30 -0700

edk2 (0~20191122.bd85bf54-2ubuntu3.4) focal; urgency=medium

  [ dann frazier ]
  * Provide 4MB OVMF images: The existing 2MB images no longer
    have sufficient variable space for the current Secure Boot
    Forbidden Signature Database. (LP: #1885662)
    - Convert targets for pre-enrolled variable template images
      into pattern rules. This will be useful for adding additional
      pre-enrolled variable templates.
    - Update fw descriptors to reference 4M images instead of their
      2M counterparts. This will migrate tools that use the descriptor
      interface (like libvirt) over to the 4M images when creating new
      VMs. Existing 2M VMs will require manual migration.
  * Increase autopkgtest timeout from 30s to 60s. (LP: #1885186)

  [ Mustafa Kemal Gilor ]
  * Added autopkg tests for 4MB OVMF images. (LP: #1885662)

 -- Mustafa Kemal GILOR <mustafa.gilor@canonical.com>  Tue, 08 Nov 2022 11:40:07 +0300

edk2 (0~20191122.bd85bf54-2ubuntu3.3) focal-security; urgency=medium

  * SECURITY UPDATE: Insufficient input validation in MdeModulePkg
    - debian/patches/CVE-2019-11098-*.patch
    - CVE-2019-11098
  * SECURITY UPDATE: overflow in openssl EVP_DecryptUpdate
    - debian/patches/CVE-2021-23840.patch
    - CVE-2021-23840
  * SECURITY UPDATE: DoS via incorrect ASN.1 string termination in openssl
    - debian/patches/CVE-2021-3712-*.patch
    - CVE-2021-3712
  * SECURITY UPDATE: remote buffer overflow in IScsiHexToBin
    - debian/patches/CVE-2021-38575-*.patch
    - CVE-2021-38575

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 20 Sep 2021 09:11:31 -0400

edk2 (0~20191122.bd85bf54-2ubuntu3.2) focal-security; urgency=medium

  * SECURITY UPDATE: unlimited FV recursion
    - debian/patches/CVE-2021-28210-1.patch: assert SectionInstance
      invariant in FindChildNode() in
      MdeModulePkg/Core/Dxe/SectionExtraction/CoreSectionExtraction.c.
    - debian/patches/CVE-2021-28210-2.patch: limit FwVol encapsulation
      section recursion in MdeModulePkg/Core/Dxe/DxeMain.inf,
      MdeModulePkg/Core/Dxe/SectionExtraction/CoreSectionExtraction.c,
      MdeModulePkg/MdeModulePkg.dec, MdeModulePkg/MdeModulePkg.uni.
    - CVE-2021-28210
  * SECURITY UPDATE: possible heap corruption in LzmaUefiDecompressGetInfo
    - debian/patches/CVE-2021-28211.patch: catch 4GB+ uncompressed
      buffer sizes in
      MdeModulePkg/Library/LzmaCustomDecompressLib/LzmaDecompress.c,
      MdeModulePkg/Library/LzmaCustomDecompressLib/LzmaDecompressLibInternal.h.
    - CVE-2021-28211

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 12 Apr 2021 08:18:49 -0400

edk2 (0~20191122.bd85bf54-2ubuntu3.1) focal-security; urgency=medium

  * Fix integer overflow in DxeImageVerificationHandler. (CVE-2019-14562)
  * CryptoPkg/BaseCryptLib: fix NULL dereference. (CVE-2019-14584)

 -- dann frazier <dannf@ubuntu.com>  Tue, 15 Dec 2020 15:33:20 -0700

edk2 (0~20191122.bd85bf54-2ubuntu3) focal; urgency=medium

  * Actually install the new "ms" descriptor.

 -- dann frazier <dannf@ubuntu.com>  Sat, 11 Apr 2020 10:19:44 -0600

edk2 (0~20191122.bd85bf54-2ubuntu2) focal; urgency=medium

  * Bring back (and fix) the "ms" option and restore the behavior of the
    "secboot" option, which had changed when libvirt moved from built-in
    nvram configs to parsing external firmware descriptors. LP: #1864532.
    - Reintroduce OVMF_CODE.ms.fd symlink, but now it points to
      OVMF_CODE.secboot.fd instead of OVMF_CODE.fd, which enforces SMM.
    - Update firmware descriptor JSON files:
      + Update the existing secboot descriptor to use an empty variable
        store. This makes it Secure Boot-capable, but with Secure Boot
        initially disabled. Note that previously it used a store w/ keys
        pre-enrolled, without advertising that feature.
      + Add a new "ms" descriptor which has keys pre-enrolled, has Secure
        Boot enabled, and advertises the "enrolled-keys" feature.
      + Provide more details in "description" fields.
    - README.Debian: Improve the use-case description for each image.

 -- dann frazier <dannf@ubuntu.com>  Fri, 03 Apr 2020 07:47:19 -0600

edk2 (0~20191122.bd85bf54-2ubuntu1) focal; urgency=medium

  * Fix numeric truncation in S3BootScript[Save]*() API. (CVE-2019-14563)
  * Fix use-after-free in PcdHiiOsRuntimeSupport. (CVE-2019-14586)
  * Clear memory before free to avoid potential password leak.
    (CVE-2019-14558)
  * Fix double-unmap in SdMmcCreateTrb(). This did not impact any
    of the images built from this package. (CVE-2019-14587)
  * Fix memory leak in ArpOnFrameRcvdDpc(). (CVE-2019-14559)
  * Fix issue that could allow an efi image with a blacklisted hash in the
    dbx to be loaded. (CVE-2019-14575)
  * Fix a memory leak in the ARP handler. (CVE-2019-14559)

 -- dann frazier <dannf@ubuntu.com>  Mon, 16 Mar 2020 10:56:00 -0600

edk2 (0~20191122.bd85bf54-2) unstable; urgency=medium


