=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>, Serge Hallyn <serge.hallyn@ubuntu.com>, dann frazier <dannf@debian.org>
 Build-Depends: bc,
- debhelper (>= 10),
+ debhelper-compat (= 12),
  gcc-aarch64-linux-gnu,
  gcc-arm-linux-gnueabihf,
  gcc-multilib [i386],
  iasl,
  nasm,
- python,
  python3,
  python3-distutils,
  qemu-utils,
