=== debian/tests/control ===
Test-Command: python3 debian/tests/shell.py --arch AARCH64
Depends: qemu-efi-aarch64, qemu-system-arm, python3-pexpect

Test-Command: python3 debian/tests/shell.py --arch ARM
Depends: qemu-efi-arm, qemu-system-arm, python3-pexpect

Test-Command: python3 debian/tests/shell.py --arch X64
Depends: ovmf, qemu-system-x86, python3-pexpect

Test-Command: python3 debian/tests/shell.py --arch X64_4M
Depends: ovmf, qemu-system-x86, python3-pexpect
