## edk2 2020.05

=== debian/changelog ===
edk2 (2020.05-5ubuntu0.2) groovy-security; urgency=medium

  * SECURITY UPDATE: unlimited FV recursion
    - debian/patches/CVE-2021-28210-1.patch: assert SectionInstance
      invariant in FindChildNode() in
      MdeModulePkg/Core/Dxe/SectionExtraction/CoreSectionExtraction.c.
    - debian/patches/CVE-2021-28210-2.patch: limit FwVol encapsulation
      section recursion in MdeModulePkg/Core/Dxe/DxeMain.inf,
      MdeModulePkg/Core/Dxe/SectionExtraction/CoreSectionExtraction.c,
      MdeModulePkg/MdeModulePkg.dec, MdeModulePkg/MdeModulePkg.uni.
    - CVE-2021-28210
  * SECURITY UPDATE: possible heap corruption in LzmaUefiDecompressGetInfo
    - debian/patches/CVE-2021-28211.patch: catch 4GB+ uncompressed
      buffer sizes in
      MdeModulePkg/Library/LzmaCustomDecompressLib/LzmaDecompress.c,
      MdeModulePkg/Library/LzmaCustomDecompressLib/LzmaDecompressLibInternal.h.
    - CVE-2021-28211

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 12 Apr 2021 08:12:17 -0400

edk2 (2020.05-5ubuntu0.1) groovy-security; urgency=medium

  * CryptoPkg/BaseCryptLib: fix NULL dereference (CVE-2019-14584)

 -- dann frazier <dannf@ubuntu.com>  Tue, 05 Jan 2021 16:31:45 -0700

edk2 (2020.05-5) unstable; urgency=medium

  * Update snakeoil keys. Previous one expired 2019-12-01. New one
    expires 2120-08-14.

 -- dann frazier <dannf@debian.org>  Mon, 07 Sep 2020 13:23:29 -0600

edk2 (2020.05-4) unstable; urgency=medium

  * Fix integer overflow in DxeImageVerificationHandler. (CVE-2019-14562)
    (Closes: #968819)
     - d/p/0001-SecurityPkg-DxeImageVerificationLib-extract-SecDataD.patch
     - d/p/0002-SecurityPkg-DxeImageVerificationLib-assign-WinCertif.patch
     - d/p/0003-SecurityPkg-DxeImageVerificationLib-catch-alignment-.patch
  * Re-enable TPM support, which was accidentally disabled due to an
    upstream build flag rename in 2020.05-1. LP: #1890646.

 -- dann frazier <dannf@debian.org>  Wed, 02 Sep 2020 10:26:10 -0600

edk2 (2020.05-3) unstable; urgency=medium

  * Provide 4MB OVMF images as the existing 2MB images no longer
    have sufficient variable space for the current Secure Boot Forbidden
    Signature Database. LP: #1885662.
  * Update fw descriptors to reference 4M images instead of their 2M
    counterparts. This will migrate tools that use the descriptor interface
    (like libvirt) over to the 4M images when creating new VMs. Existing 2M
    VMs will require manual migration.
  * Add a 4M snakeoil variable template and drop the 2M version. This will
    break existing snakeoil VMs, but that should be OK for a test/devel
    facility.
  * Increase autopkgtest timeout from 30s to 60s. LP: #1885186.

 -- dann frazier <dannf@debian.org>  Wed, 05 Aug 2020 18:33:22 -0600

edk2 (2020.05-2) unstable; urgency=medium

  * Enable https boot support, thanks to Dimitri John Ledkov. LP: #1883114.

 -- dann frazier <dannf@debian.org>  Thu, 11 Jun 2020 08:40:31 -0600

edk2 (2020.05-1) unstable; urgency=medium

  * New upstream release, based on edk2-stable202005 tag.

 -- dann frazier <dannf@debian.org>  Wed, 03 Jun 2020 15:39:40 -0600

edk2 (0.0~20200229-2) unstable; urgency=medium

  * Actually install the new "ms" descriptor.

 -- dann frazier <dannf@debian.org>  Sat, 11 Apr 2020 09:17:23 -0600

edk2 (0.0~20200229-1) unstable; urgency=medium

  * Reintroduce OVMF_CODE.ms.fd symlink, but now it points to
    OVMF_CODE.secboot.fd instead of OVMF_CODE.fd, which enforces SMM.
  * Update firmware descriptor JSON files:
     - Update the existing secboot descriptor to use an empty variable
       store. This makes it Secure Boot-capable, but with Secure Boot disabled.
       Previously it used a store w/ keys pre-enrolled, without advertising
       that feature.
     - Add a new "ms" descriptor which has keys pre-enrolled and Secure Boot
       enabled, and advertises the "enrolled-keys" feature.
     - Provide more details in "description" fields.
  * README.Debian: Improve the use-case description for each image.
  * Mark ovmf, qemu-efi-aarch64 and qemu-efi-arm as Multi-Arch: foreign.
    Thanks to the Multiarch hinter.
  * Change versioning scheme to reflect usage of edk2-stable<YYYYMM>
    tag releases over git snapshots.
  * Bump Standards-Version from 4.1.3 to 4.5.0.
  * Add a debian/watch file.

 -- dann frazier <dannf@debian.org>  Tue, 31 Mar 2020 16:46:58 -0600

edk2 (0~20200229.4c0f6e34-1) unstable; urgency=medium

  * New upstream release, based on edk2-stable202002 tag.
    - Fix numeric truncation in S3BootScript[Save]*() API. (CVE-2019-14563)
      (Closes: #952934)
    - Fix use-after-free in PcdHiiOsRuntimeSupport. (CVE-2019-14586)
    - Clear memory before free to avoid potential password leak.
      (CVE-2019-14558)
    - Fix double-unmap in SdMmcCreateTrb(). This did not impact any
      of the images built from this package. (CVE-2019-14587)
    - Fix memory leak in ArpOnFrameRcvdDpc(). (CVE-2019-14559)
    - Fix issue that could allow an efi image with a blacklisted hash in the
      dbx to be loaded. (CVE-2019-14575) (Closes: #952935)
    - Fix a memory leak in the ARP handler. (CVE-2019-14559) (Closes: #952926)
    - Refresh patches:
       + debian/patches/no-missing-braces.diff
       + debian/patches/no-stack-protector-all-archs.diff

 -- dann frazier <dannf@debian.org>  Fri, 13 Mar 2020 16:05:49 -0600
