=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  qemu-system-x86,
  uuid-dev,
  xorriso,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: http://www.tianocore.org
 Vcs-Git: https://salsa.debian.org/qemu-team/edk2.git
 Vcs-Browser: https://salsa.debian.org/qemu-team/edk2
@@ -28,6 +28,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Replaces: qemu-system-common (<<1.7.0+dfsg-3ubuntu4)
+Multi-Arch: foreign
 Description: UEFI firmware for 64-bit x86 virtual machines
  Open Virtual Machine Firmware is a build of EDK II for 64-bit x86 virtual
  machines. It includes full support for UEFI, including Secure Boot, allowing
@@ -36,6 +37,7 @@
 Package: qemu-efi-arm
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: UEFI firmware for 32-bit ARM virtual machines
  qemu-efi-arm is a build of EDK II for 32-bit ARM virtual machines. It
  includes full support for UEFI, including Secure Boot.
@@ -44,6 +46,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Breaks: qemu-efi (<< 0~20161202.7bbe0b3e-2)
+Multi-Arch: foreign
 Description: UEFI firmware for 64-bit ARM virtual machines
  qemu-efi-aarch64 is a build of EDK II for 64-bit ARM virtual machines. It
  includes full support for UEFI, including Secure Boot.
