=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,8 @@
 
 SHELL=/bin/bash
 
-include /usr/share/dpkg/architecture.mk
-
-# Bumping this up to >= GCC5 will require the replacing the pre-compiled
-# liblto*.a binaries that we strip from our orig.tar.xz.
+include /usr/share/dpkg/default.mk
+
 EDK2_TOOLCHAIN = GCC5
 export $(EDK2_TOOLCHAIN)_AARCH64_PREFIX=aarch64-linux-gnu-
 export $(EDK2_TOOLCHAIN)_ARM_PREFIX=arm-linux-gnueabihf-
@@ -30,7 +28,7 @@
 endif
 
 COMMON_FLAGS = -DNETWORK_HTTP_BOOT_ENABLE=TRUE -DNETWORK_TLS_ENABLE -DSECURE_BOOT_ENABLE=TRUE
-OVMF_COMMON_FLAGS = $(COMMON_FLAGS) -DTPM2_ENABLE=TRUE
+OVMF_COMMON_FLAGS = $(COMMON_FLAGS) -DTPM_ENABLE=TRUE
 OVMF_2M_FLAGS = $(OVMF_COMMON_FLAGS) -DFD_SIZE_2MB
 OVMF_4M_FLAGS = $(OVMF_COMMON_FLAGS) -DFD_SIZE_4MB
 OVMF_2M_SMM_FLAGS = $(OVMF_2M_FLAGS) -DSMM_REQUIRE=TRUE
@@ -47,8 +45,6 @@
 undefine EDK_TOOLS_PATH
 undefine CONF_PATH
 
-ver := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \(.*\)-[^-]\+/\1/p')
-
 %:
 	dh $@
 
@@ -66,7 +62,9 @@
 OVMF_BINARIES = $(OVMF_ENROLL) $(OVMF_SHELL)
 OVMF_BINARIES += $(prefix debian/ovmf-install/,$(OVMF_IMAGES))
 
-build-ovmf: $(OVMF_BINARIES) debian/ovmf-install/OVMF_VARS.ms.fd debian/ovmf-install/OVMF_VARS_4M.ms.fd debian/ovmf-install/OVMF_VARS.snakeoil.fd
+QEMU_EFI_BUILD_DIR = Build/ArmVirtQemu-$(EDK2_HOST_ARCH)/RELEASE_$(EDK2_TOOLCHAIN)
+
+build-ovmf: $(OVMF_BINARIES) debian/ovmf-install/OVMF_VARS.ms.fd debian/ovmf-install/OVMF_VARS_4M.ms.fd debian/ovmf-install/OVMF_VARS_4M.snakeoil.fd
 
 $(OVMF_BINARIES): EDK2_ARCH_DIR=X64
 $(OVMF_BINARIES): EDK2_HOST_ARCH=X64
@@ -108,8 +106,7 @@
 		cp $(OVMF_BUILD_DIR)/FV/OVMF_CODE.fd \
 			debian/ovmf-install/OVMF_CODE_4M.secboot.fd; \
 
-dpkg_vendor = $(shell dpkg-vendor --query vendor)
-debian/oem-string-vendor: debian/PkKek-1-$(dpkg_vendor).pem
+debian/oem-string-vendor: debian/PkKek-1-$(DEB_VENDOR).pem
 	tr -d '\n' < $< | \
 		sed -e 's/.*-----BEGIN CERTIFICATE-----/4e32566d-8e9e-4f52-81d3-5bb9715f9727:/' -e 's/-----END CERTIFICATE-----//' > $@
 
@@ -165,9 +162,9 @@
 			-t $(EDK2_TOOLCHAIN) \
 			-p ArmVirtPkg/ArmVirtQemu.dsc \
 			$(AAVMF_FLAGS) -b RELEASE
-	dd if=/dev/zero of=Build/ArmVirtQemu-$(EDK2_HOST_ARCH)/RELEASE_$(EDK2_TOOLCHAIN)/FV/$(FW_NAME)_CODE.fd bs=1M seek=64 count=0
-	dd if=Build/ArmVirtQemu-$(EDK2_HOST_ARCH)/RELEASE_$(EDK2_TOOLCHAIN)/FV/QEMU_EFI.fd of=Build/ArmVirtQemu-$(EDK2_HOST_ARCH)/RELEASE_$(EDK2_TOOLCHAIN)/FV/$(FW_NAME)_CODE.fd conv=notrunc
-	dd if=/dev/zero of=Build/ArmVirtQemu-$(EDK2_HOST_ARCH)/RELEASE_$(EDK2_TOOLCHAIN)/FV/$(FW_NAME)_VARS.fd bs=1M seek=64 count=0
+	dd if=/dev/zero of=$(QEMU_EFI_BUILD_DIR)/FV/$(FW_NAME)_CODE.fd bs=1M seek=64 count=0
+	dd if=$(QEMU_EFI_BUILD_DIR)/FV/QEMU_EFI.fd of=$(QEMU_EFI_BUILD_DIR)/FV/$(FW_NAME)_CODE.fd conv=notrunc
+	dd if=/dev/zero of=$(QEMU_EFI_BUILD_DIR)/FV/$(FW_NAME)_VARS.fd bs=1M seek=64 count=0
 
 build-qemu-efi-aarch64: ArmPkg/Library/GccLto/liblto-aarch64.a
 	$(MAKE) -f debian/rules build-qemu-efi EDK2_ARCH_DIR=AArch64 EDK2_HOST_ARCH=AARCH64 FW_NAME=AAVMF
@@ -194,19 +191,22 @@
 	rm -rf edk2.tmp && git clone . edk2.tmp
 	# Don't recurse, openssl will bring in MBs of stuff we don't need
 	cd edk2.tmp && git submodule update --init
-	rm -rf edk2-$(ver) && mkdir edk2-$(ver)
-	cd edk2.tmp && git archive HEAD | tar xv -C ../edk2-$(ver)
+	rm -rf edk2-$(DEB_VERSION_UPSTREAM) && \
+		mkdir edk2-$(DEB_VERSION_UPSTREAM)
+	cd edk2.tmp && git archive HEAD | \
+		tar xv -C ../edk2-$(DEB_VERSION_UPSTREAM)
 	cd edk2.tmp && git submodule foreach \
-		'git archive HEAD | tar xv -C $$toplevel/../edk2-$(ver)/$$sm_path'
-	ln -s ../debian edk2-$(ver)
+		'git archive HEAD | tar xv -C $$toplevel/../edk2-$(DEB_VERSION_UPSTREAM)/$$sm_path'
+	ln -s ../debian edk2-$(DEB_VERSION_UPSTREAM)
 	# Remove unused embedded source, requested by Ubuntu security team
-	rm -r edk2-$(ver)/BaseTools/Source/C/BrotliCompress
+	rm -r edk2-$(DEB_VERSION_UPSTREAM)/BaseTools/Source/C/BrotliCompress
 	# Remove known-binary files
-	cd edk2-$(ver) && python3 ./debian/remove-binaries.py
+	cd edk2-$(DEB_VERSION_UPSTREAM) && python3 ./debian/remove-binaries.py
 	# Look for possible unknown binary files
-	cd edk2-$(ver) && python3 ./debian/find-binaries.py
-	rm edk2-$(ver)/debian
-	tar Jcvf ../edk2_$(ver).orig.tar.xz edk2-$(ver)
-	rm -rf edk2.tmp edk2-$(ver)
+	cd edk2-$(DEB_VERSION_UPSTREAM) && python3 ./debian/find-binaries.py
+	rm edk2-$(DEB_VERSION_UPSTREAM)/debian
+	tar Jcvf ../edk2_$(DEB_VERSION_UPSTREAM).orig.tar.xz \
+		edk2-$(DEB_VERSION_UPSTREAM)
+	rm -rf edk2.tmp edk2-$(DEB_VERSION_UPSTREAM)
 
 .PHONY: build-ovmf build-qemu-efi
